#ifndef AD8302_H_INCLUDED
#define AD8302_H_INCLUDED

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

void AD8302_Init(void);

typedef struct
{
   uint32_t valUref;
   uint32_t valUab;
   uint32_t valPhase;
} UADC;

UADC AD8302_ReadADC(void);
UADC AD8302_ReadADCOnce(void);

float AD8302_GetPhaseDegrees(UADC in);
float AD8302_GetPhaseRadians(UADC in);
float AD8302_GetRatioDb(UADC in);
float AD8302_GetRatio(UADC in);
#ifdef __cplusplus
}
#endif

#endif //AD8302_H_INCLUDED
