#ifndef _TOUCH_H_
#define _TOUCH_H_

#include "LCD.h"

typedef enum
{
    TOUCH_EVENT_TOUCHDOWN, TOUCH_EVENT_TOUCHUP, TOUCH_EVENT_TOUCHMOVE
} TOUCH_EVENTTYPE;

#ifdef __cplusplus
extern "C" {
#endif

typedef void (*TOUCH_EVENTCALLBACK)(TOUCH_EVENTTYPE, LCDPoint);

void TOUCH_Init(void);

void TOUCH_SetCallback(TOUCH_EVENTCALLBACK cb);

void TOUCH_EventsThread(void);

int TOUCH_Poll(LCDPoint* pCoord);

int TOUCH_IsPressed(void);

unsigned int TOUCH_GetRawX(void);
unsigned int TOUCH_GetRawY(void);

#ifdef __cplusplus
}
#endif
#endif //_TOUCH_H_

